      *************************************************************************
      * 
      * Source File Name: db2ApiDf
      * 
      * (C) COPYRIGHT International Business Machines Corp. 1987, 1997
      * All Rights Reserved
      * Licensed Materials - Property of IBM
      * 
      * US Government Users Restricted Rights - Use, duplication or
      * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
      * 
      * Function = Include File defining:
      *              Environment Commands - Constants
      *              Environment Commands - Structures
      *              Environment Commands - Function Prototypes
      *              Environment Commands - Labels for SQLCODES
      * 
      * Operating System: LINUX
      * 
      **************************************************************************

      * Version, Release PTF identifier
      * Pre Version 6.1.0.0
       78  DB2VERSION6PRIOR          value    0.
      * Version 6.1.0.0
       78  DB2VERSION610             value    6010000.

      *************************************************************************
      * Structure db2Char
      * 
      * Description:
      *     pioData  -- Pointer to character data.
      *              -- If NULL, no data will be returned.
      * 
      *     iLength  -- Input:  Size of the pData buffer.
      * 
      *     oLength  -- Output: Length of valid data in pData.
      *              -- If the output data was truncated, this will be set to
      *                 the complete size before truncation
      **************************************************************************
       01 DB2CHAR.
      * Character data
           05 DB2-PIO-DATA           USAGE IS POINTER.
      * I:  Length of pioData
           05 DB2-I-LENGTH           PIC 9(9) COMP-5.
      * O:  Untruncated length of data
           05 DB2-O-LENGTH           PIC 9(9) COMP-5.

      *************************************************************************
      * Load Query Structures and Constants
      **************************************************************************

      * Possible values for "iStringType"
      * Tablename specified
       78  DB2LOADQUERY-TABLENAME    VALUE    0.
       78  DB2LOADQUERY-TEMPPATHNAME VALUE    1.

      * Possible values for "iShowLoadMessages"
      * Show ALL LOAD messages
       78  DB2LOADQUERY-SHOW-ALL-MSGS VALUE   0.
      * Show NO LOAD messages
       78  DB2LOADQUERY-SHOW-NO-MSGS VALUE    1.
      * Show only NEW LOAD messages
       78  DB2LOADQUERY-SHOW-NEW-MSGS VALUE   2.

      * Possible values for "oWhichPhase"
      * Load Phase
       78  DB2LOADQUERY-LOAD-PHASE   VALUE    1.
      * Build Phase
       78  DB2LOADQUERY-BUILD-PHASE  VALUE    2.
      * Delete Phase
       78  DB2LOADQUERY-DELETE-PHASE VALUE    3.

      * Load Query Output Structure
       01 DB2LOAD-QUERY-OUTPUT-STRUCT.
      * Rows Read
           05 DB2-O-ROWS-READ        PIC 9(9) COMP-5.
      * Rows Skipped
           05 DB2-O-ROWS-SKIPPED     PIC 9(9) COMP-5.
      * Rows Committed
           05 DB2-O-ROWS-COMMITTED   PIC 9(9) COMP-5.
      * Rows Loaded
           05 DB2-O-ROWS-LOADED      PIC 9(9) COMP-5.
      * Rows Rejected
           05 DB2-O-ROWS-REJECTED    PIC 9(9) COMP-5.
      * Rows Deleted
           05 DB2-O-ROWS-DELETED     PIC 9(9) COMP-5.
      * Current Index (BUILD PHASE)
           05 DB2-O-CURRENT-INDEX    PIC 9(9) COMP-5.
      * Total # of Indexes to build (BUILD PHASE)
           05 DB2-O-NUM-TOTAL-INDEXES PIC 9(9) COMP-5.
      * Node being queried (MPP only)
           05 DB2-O-CURRENT-MPPNODE  PIC 9(9) COMP-5.
      * Load Restart indicator
           05 DB2-O-LOAD-RESTARTED   PIC 9(9) COMP-5.
      * Phase of queried Load
           05 DB2-O-WHICH-PHASE      PIC 9(9) COMP-5.
      * Warning Count
           05 DB2-O-WARNING-COUNT    PIC 9(9) COMP-5.

      * Generic Load Query Parameter Structure
       01 DB2G-LOAD-QUERY-STRUCT.
      * Type of piString
           05 DB2-I-STRING-TYPE      PIC 9(9) COMP-5.
      * Length in bytes of piString
           05 DB2-I-STRING-LEN       PIC 9(9) COMP-5.
      * Name to query
           05 DB2-PI-STRING          USAGE IS POINTER.
      * Level of Load message reporting
           05 DB2-I-SHOW-LOAD-MESSAGES PIC 9(9) COMP-5.
      * Load Query Output Structure
           05 DB2-PO-OUTPUT-STRUCT   USAGE IS POINTER.
      * Length in bytes of message file variable
           05 DB2-I-LOCAL-MESSAGE-FILE-LEN PIC 9(9) COMP-5.
      * Message File
           05 DB2-PI-LOCAL-MESSAGE-FILE USAGE IS POINTER.

      *************************************************************************
      * Open History Scan Definitions
      **************************************************************************

      * Values for db2HistoryOpen - iCallerAction
       78  DB2HISTORY-LIST-HISTORY   VALUE    0.
       78  DB2HISTORY-LIST-BACKUP    VALUE    1.
       78  DB2HISTORY-LIST-ROLLFORWARD VALUE  2.
       78  DB2HISTORY-LIST-RUNSTATS  VALUE    3.
       78  DB2HISTORY-LIST-REORG     VALUE    4.
       78  DB2HISTORY-LIST-ALT-TABLESPACE VALUE 5.
       78  DB2HISTORY-LIST-DROPPED-TABLE VALUE 6.
       78  DB2HISTORY-LIST-LOAD      VALUE    7.

      *************************************************************************
      * Fetch Next History Entry Definititions
      **************************************************************************

      * Structure db2HistoryEID
       01 DB2HISTORY-EID.
      * Node number
           05 DB2-IO-NODE            PIC S9(4) COMP-5.
           05 FILLER                 PIC X(2).
      * Local history file entry ID
           05 DB2-IO-HID             PIC 9(9) COMP-5.

      * Max Sizes of db2HistoryDataStruct db2Char fields
      * NOTE:  These lengths do not include NULL terminators
       78  DB2HISTORY-TIMESTAMP-SZ   VALUE    14.
       78  DB2HISTORY-SEQNUM-SZ      VALUE    3.
       78  DB2HISTORY-OBJPART-SZ     value    17.
       78  DB2HISTORY-LOGFILE-SZ     VALUE    12.
       78  DB2HISTORY-ID-SZ          VALUE    24.
       78  DB2HISTORY-TABLE-QUAL-SZ  VALUE    8.
       78  DB2HISTORY-TABLE-NAME-SZ  VALUE    128.
       78  DB2HISTORY-LOCATION-SZ    VALUE    255.
       78  DB2HISTORY-COMMENT-SZ     VALUE    30.
       78  DB2HISTORY-COMMAND-SZ     value    65535.
      * Values for db2HistoryGetEntry - iCallerAction
      * Next entry, without command data
       78  DB2HISTORY-GET-ENTRY      VALUE    0.
      * ONLY command data from previous fetch
       78  DB2HISTORY-GET-DDL        VALUE    1.
      * Next entry, with all data
       78  DB2HISTORY-GET-ALL        VALUE    2.

      * db2HistoryGetEntry input struct
       01 DB2HISTORY-GET-ENTRY-STRUCT.
      * History entry data area
           05 DB2-PIO-HIST-DATA      USAGE IS POINTER.
      * History scan handle
           05 DB2-I-HANDLE           PIC 9(4) COMP-5.
      * Caller action
           05 DB2-I-CALLER-ACTION    PIC 9(4) COMP-5.

      * History Operations
       78  DB2HIST-OP-BACKUP         value    "B".
       78  DB2HIST-OP-LOAD-COPY      value    "C".
       78  DB2HIST-OP-DROPPED-TABLE  value    "D".
       78  DB2HIST-OP-ROLLFWD        value    "F".
       78  DB2HIST-OP-REORG          value    "G".
       78  DB2HIST-OP-LOAD           value    "L".
       78  DB2HIST-OP-QUIESCE        value    "Q".
       78  DB2HIST-OP-RESTORE        value    "R".
       78  DB2HIST-OP-RUNSTATS       value    "S".
       78  DB2HIST-OP-ALT-TBS        value    "T".
       78  DB2HIST-OP-UNLOAD         value    "U".

      * History Objects
       78  DB2HISTORY-GRAN-DB        value    "D".
       78  DB2HISTORY-GRAN-TBS       value    "P".
       78  DB2HISTORY-GRAN-TABLE     value    "T".

      * Backup Optypes
       78  DB2HISTORY-OPTYPE-OFFLINE value    "F".
       78  DB2HISTORY-OPTYPE-ONLINE  value    "N".

      * Quiesce Optypes
       78  DB2HISTORY-OPTYPE-SHARE   value    "S".
       78  DB2HISTORY-OPTYPE-UPDATE  value    "U".
       78  DB2HISTORY-OPTYPE-EXCL    value    "X".
       78  DB2HISTORY-OPTYPE-RESET   value    "Z".

      * Rollforward Optypes
       78  DB2HISTORY-OPTYPE-EOL     value    "E".
       78  DB2HISTORY-OPTYPE-PIT     value    "P".

      * Load Optypes
       78  DB2HISTORY-OPTYPE-INSERT  value    "I".
       78  DB2HISTORY-OPTYPE-REPLACE value    "R".

      * Alter Tablespace Optypes
       78  DB2HISTORY-OPTYPE-ADD-CONT value   "C".
       78  DB2HISTORY-OPTYPE-REB     value    "R".

      * History Entry Status Flags
       78  DB2HISTORY-STATUS-ACTIVE  value    "A".
       78  DB2HISTORY-STATUS-INACTIVE value   "I".
       78  DB2HISTORY-STATUS-EXPIRED value    "E".
       78  DB2HISTORY-STATUS-DELETED value    "D".
       78  DB2HISTORY-STATUS-NC      value    "N".
       78  DB2HISTORY-STATUS-INCMP-ACTV value "a".
       78  DB2HISTORY-STATUS-INCMP-INACTV value "i".

      *************************************************************************
      * Update History Entry Definititions
      **************************************************************************

      *************************************************************************
      * Precompiler API Related Definitions
      **************************************************************************

      * Generic Compile SQL Parmeter Structure
       01 DB2G-COMPILE-SQL-STRUCT.
      * SQL statement text length
           05 DB2-PI-SQL-STMT-LEN    USAGE IS POINTER.
      * SQL statement text
           05 DB2-PI-SQL-STMT        USAGE IS POINTER.
      * Source Line Number
           05 DB2-PI-LINE-NUM        USAGE IS POINTER.
      * SQL Flagger information
           05 DB2-PIO-FLAG-INFO      USAGE IS POINTER.
      * Token ID Array
           05 DB2-PIO-TOKEN-ID-ARRAY USAGE IS POINTER.
      * Task Array
           05 DB2-PO-TASK-ARRAY      USAGE IS POINTER.
      * Section Number
           05 DB2-PO-SECTION-NUM     USAGE IS POINTER.
      * Type of SQL statement
           05 DB2-PO-SQL-STMT-TYPE   USAGE IS POINTER.
      * 256 byte string buffer 1
           05 DB2-PO-BUFFER1         USAGE IS POINTER.
      * 256 byte string buffer 2
           05 DB2-PO-BUFFER2         USAGE IS POINTER.
      * 256 byte string buffer 3
           05 DB2-PO-BUFFER3         USAGE IS POINTER.
      * Reserved
           05 DB2-PIO-RESERVED       USAGE IS POINTER.

      * Generic Initialization Parmeter Structure
       01 DB2G-INIT-STRUCT.
      * Program name length
           05 DB2-PI-PROGRAM-NAME-LENGTH USAGE IS POINTER.
      * Program name
           05 DB2-PI-PROGRAM-NAME    USAGE IS POINTER.
      * Database name length
           05 DB2-PI-DB-NAME-LENGTH  USAGE IS POINTER.
      * Database name
           05 DB2-PI-DB-NAME         USAGE IS POINTER.
      * Password length
           05 DB2-PI-DB-PASSWORD-LENGTH USAGE IS POINTER.
      * Password
           05 DB2-PI-DB-PASSWORD     USAGE IS POINTER.
      * Bindfile name length
           05 DB2-PI-BIND-NAME-LENGTH USAGE IS POINTER.
      * Bindfile name
           05 DB2-PI-BIND-NAME       USAGE IS POINTER.
      * Precompiler options array
           05 DB2-PI-OPTIONS-ARRAY   USAGE IS POINTER.
      * Precompiler program ID buffer length
           05 DB2-PI-PID-LENGTH      USAGE IS POINTER.
      * Precompiler program ID
           05 DB2-PO-PRECOMPILER-PID USAGE IS POINTER.

      *************************************************************************
      * Prune Database History Definititions
      **************************************************************************

      * Values for db2Prune - iCallerAction
      * Remove history file entries
       78  DB2PRUNE-ACTION-HISTORY   VALUE    1.
      * Remove log files from active log path
       78  DB2PRUNE-ACTION-LOG       VALUE    2.

      * Values for db2Prune - iOptions
      * Force removal of last backup
       78  DB2PRUNE-OPTION-NONE      VALUE    0.
      * Force removal of last backup
       78  DB2PRUNE-OPTION-FORCE     VALUE    1.
      * piString is an LSN-string, used by DB2PRUNE_ACTION_LOG
       78  DB2PRUNE-OPTION-LSNSTRING VALUE    2.

      * Prune API input struct
       01 DB2PRUNE-STRUCT.
      * Timestamp, or lastLSN
           05 DB2-PI-STRING          USAGE IS POINTER.
      * Prune history since this EID
           05 DB2-I-EID.
      * Node number
               10 DB2-IO-NODE        PIC S9(4) COMP-5.
               10 FILLER             PIC X(2).
      * Local history file entry ID
               10 DB2-IO-HID         PIC 9(9) COMP-5.
      * What to prune
           05 DB2-I-ACTION           PIC 9(9) COMP-5.
      * Options relevent to particular iAction
           05 DB2-I-OPTIONS          PIC 9(9) COMP-5.

      * Generic Prune API input struct
       01 DB2G-PRUNE-STRUCT.
      * length in bytes of piString
           05 DB2-I-STRING-LEN       PIC 9(9) COMP-5.
      * Timestamp, or lastLSN
           05 DB2-PI-STRING          USAGE IS POINTER.
      * Prune history since this EID
           05 DB2-I-EID.
      * Node number
               10 DB2-IO-NODE        PIC S9(4) COMP-5.
               10 FILLER             PIC X(2).
      * Local history file entry ID
               10 DB2-IO-HID         PIC 9(9) COMP-5.
      * What to prune
           05 DB2-I-ACTION           PIC 9(9) COMP-5.
      * Options relevent to particular iAction
           05 DB2-I-OPTIONS          PIC 9(9) COMP-5.

      * Convert Monitor Data Interface Structure
       01 DB2CONV-MON-STREAM-DATA.
      * Pointer to target structure
           05 DB2-PO-TARGET          USAGE IS POINTER.
      * Pointer to V6 stream
           05 DB2-PI-SOURCE          USAGE IS POINTER.
      * Target structure type
           05 DB2-I-TARGET-TYPE      PIC 9(9) COMP-5.
      * Space allocated for target
           05 DB2-I-TARGET-SIZE      PIC 9(9) COMP-5.
      * Type of source stream
           05 DB2-I-SOURCE-TYPE      PIC 9(9) COMP-5.
      * Get Snapshot Data Interface Structure
       01 DB2GET-SNAPSHOT-DATA.
      * Pointer to monitor area
           05 DB2-PI-SQLMA-DATA      USAGE IS POINTER.
      * Pointer to collected data
           05 DB2-PO-COLLECTED-DATA  USAGE IS POINTER.
      * Pointer to output buffer
           05 DB2-PO-BUFFER          USAGE IS POINTER.
      * Snapshot version
           05 DB2-I-VERSION          PIC 9(9) COMP-5.
      * Size of output buffer
           05 DB2-I-BUFFER-SIZE      PIC 9(9) COMP-5.
      * Write to file flag
           05 DB2-I-STORE-RESULT     PIC 9(9) COMP-5.
       01 DB2G-RESTART-DB-STRUCT.
      * Length in bytes of piDatabaseName
           05 DB2-I-DATABASE-NAME-LEN PIC 9(9) COMP-5.
      * Length in bytes of piUserId
           05 DB2-I-USER-ID-LEN      PIC 9(9) COMP-5.
      * Length in bytes of piPassword
           05 DB2-I-PASSWORD-LEN     PIC 9(9) COMP-5.
      * Length in bytes of piTablespaceNames
           05 DB2-I-TABLESPACE-NAMES-LEN PIC 9(9) COMP-5.
      * Database name or alias
           05 DB2-PI-DATABASE-NAME   USAGE IS POINTER.
      * User Id
           05 DB2-PI-USER-ID         USAGE IS POINTER.
      * Password
           05 DB2-PI-PASSWORD        USAGE IS POINTER.
      * Tablespace name list
           05 DB2-PI-TABLESPACE-NAMES USAGE IS POINTER.

